array- doesn't build with 6.12rc1

Sittampalam, Ganesh ganesh.sittampalam at
Mon Nov 2 12:06:21 EST 2009

Ross Paterson wrote:
> On Mon, Nov 02, 2009 at 02:05:01PM +0000, Simon Marlow wrote:
>> You need array which comes with GHC 6.12rc1, but is
>> (probably) not on Hackage yet.
> No it isn't: array- will be defined by what's released in GHC
> 6.12.

That creates a timing problem, given that people will want to test the
GHC 6.12 RC against packages that will depend on array and other core
libraries like it. Obviously they could install the development versions
manually, but this seems rather inconvenient.

I guess the problem with uploading it before the release is that people
who don't want the bleeding edge will also pick up the upload by



 Please access the attached hyperlink for an important electronic communications disclaimer: 

More information about the Glasgow-haskell-users mailing list